be.vlaanderen.mercurius.mohm.common.v7

## Class PushApplicationViewBandagistType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.common.v7.PushApplicationViewBandagistType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:17:08+01:00",
                 comments="JAXB RI v2.3.7")
      public class PushApplicationViewBandagistType
      extends Object
      implements Serializable

  Generiek type voor de push van een volledig beeld van de aanvraag voor de verstrekker.

  Java class for PushApplicationViewBandagistType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PushApplicationViewBandagistType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="ApplicationView" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApplicationViewType"/>
               <element name="HistoryStatus" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}StatusListType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PushApplicationViewBandagistType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationViewType` | `getApplicationView()` Gets the value of the applicationView property.
    `StatusListType` | `getHistoryStatus()` Gets the value of the historyStatus property.
    `void` | `setApplicationView(ApplicationViewType value)` Sets the value of the applicationView property.
    `void` | `setHistoryStatus(StatusListType value)` Sets the value of the historyStatus property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PushApplicationViewBandagistType

          public PushApplicationViewBandagistType()

  - ### Method Detail

    - #### getApplicationView

          public ApplicationViewType getApplicationView()

      Gets the value of the applicationView property.
      Returns:
        possible object is `ApplicationViewType`

    - #### setApplicationView

          public void setApplicationView(ApplicationViewType value)

      Sets the value of the applicationView property.
      Parameters:
        `value` - allowed object is `ApplicationViewType`

    - #### getHistoryStatus

          public StatusListType getHistoryStatus()

      Gets the value of the historyStatus property.
      Returns:
        possible object is `StatusListType`

    - #### setHistoryStatus

          public void setHistoryStatus(StatusListType value)

      Sets the value of the historyStatus property.
      Parameters:
        `value` - allowed object is `StatusListType`

Connector Packaging TRUSSMAKER 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.